import { ScopedSlotReturnValue } from 'vue/types/vnode';
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, {
    renderReply(): any;
    renderActions(): any;
    renderQuote(): any;
    renderAuthorDatetime(): any;
    renderContent(): any;
    renderAvatar(): any;
}, unknown, {
    actions: ((h: import("vue").CreateElement) => ScopedSlotReturnValue)[];
    author: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    avatar: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue) | import("../avatar").TypeAvatarProps;
    content: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    datetime: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    quote: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    reply: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
}>;
export default _default;
